> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rhinestone.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Request Batch Withdrawals

> Gets the orchestrator signature to perform a compact withdrawal



## OpenAPI

````yaml https://raw.githubusercontent.com/rhinestonewtf/openapi/refs/heads/main/orchestrator.json post /batch-withdrawals
openapi: 3.0.2
info:
  title: Rhinestone Orchestrator API
  version: 1.0.0
servers:
  - url: https://v1.orchestrator.rhinestone.dev
security: []
paths:
  /batch-withdrawals:
    post:
      tags:
        - Withdrawals
      summary: Request Batch Withdrawals
      description: Gets the orchestrator signature to perform a compact withdrawal
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            description: Rhinestone API key
        - name: x-api-version
          in: header
          schema:
            type: string
            pattern: ^\d{4}-\d{2}\.[a-z0-9]+$
            description: >-
              API version (YYYY-MM.name). Will become required in a future
              release.
            example: 2026-01.alps
      requestBody:
        description: Body
        content:
          application/json:
            schema:
              type: object
              properties:
                account:
                  type: string
                chainId:
                  type: number
                transfers:
                  type: array
                  items:
                    type: object
                    properties:
                      recipient:
                        type: string
                      tokenAddress:
                        type: string
                      amount:
                        type: integer
                        format: int64
                    required:
                      - recipient
                      - tokenAddress
                      - amount
              required:
                - account
                - chainId
                - transfers
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  allocatorData:
                    type: string
                    pattern: ^0x[a-fA-F0-9]*$
                  batchTransferDetails:
                    type: object
                    properties:
                      nonce:
                        type: integer
                        format: int64
                      expires:
                        type: integer
                        format: int64
                      transfers:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
                              format: int64
                            portions:
                              type: array
                              items:
                                type: object
                                properties:
                                  claimant:
                                    type: integer
                                    format: int64
                                  amount:
                                    type: integer
                                    format: int64
                                required:
                                  - claimant
                                  - amount
                          required:
                            - id
                            - portions
                    required:
                      - nonce
                      - expires
                      - transfers
                required:
                  - allocatorData
                  - batchTransferDetails
                description: Successfully retrieved a compact batch withdrawal signature
        '400':
          description: '400'
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          description: Error message
                          example: Invalid input
                        context:
                          nullable: true
                          description: Additional error context
                      required:
                        - message
                  traceId:
                    type: string
                    description: Trace ID
                    example: eb0ba4657f36364b33ec565c15f98368
                required:
                  - errors
                  - traceId
                description: Invalid request parameters
        '500':
          description: '500'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message describing the server-side issue
                    example: An unknown error occurred
                required:
                  - error
                description: Server error

````